Bug 198826 - net-p2p/bitcoin-utils: Needlessly CONFLICTs by default with net-p2p/bitcoin-daemon
Summary: net-p2p/bitcoin-utils: Needlessly CONFLICTs by default with net-p2p/bitcoin-d...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2015-03-23 09:49 UTC by Peter Wemm
Modified: 2015-05-03 17:02 UTC (History)
3 users (show)

See Also:
robbak: maintainer-feedback+


Attachments
Patch to adjust defaults to remove tests from default builds. Bump portrevision to force rebuild. (1.08 KB, patch)
2015-03-24 03:14 UTC, robbak
robbak: maintainer-approval+
Details | Diff
Build logs (289.25 KB, text/x-log)
2015-03-24 11:14 UTC, robbak
no flags Details
Log of temporary port, -all, which just depends on the other three, showing they all install together (21.13 KB, text/x-log)
2015-03-24 11:15 UTC, robbak
no flags Details
Build log of bitcoin-daemon (109.87 KB, text/x-log)
2015-03-24 11:16 UTC, robbak
no flags Details
Build log of bitcoin-utils (69.50 KB, text/x-log)
2015-03-24 11:17 UTC, robbak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wemm freebsd_committer freebsd_triage 2015-03-23 09:49:40 UTC
By default, both packages have the TESTS option enabled.  This causes both packages to include $localbase/bin/test_bitcoin and consequently prevents both being installed.

It should be in one or the other, not both.

For me, recompiling with TESTS disabled on net-p2p/bitcoin-utils solved the problem but this doesn't solve it for the public packages.

Quick-fix: remove TESTS from OPTIONS_DEFINE and OPTIONS_DEFAULT in net-p2p/bitcoin-utils/Makefile
Comment 1 robbak 2015-03-24 03:14:57 UTC
Created attachment 154747 [details]
Patch to adjust defaults to remove tests from default builds. Bump portrevision to force rebuild.

Problem and suggested solution confirmed. Attached is a patch to remove the TESTS option from both bitcoin-utils and bitcoin-daemon, so all three bitcoin ports can be installed (which was the original intention). Full build test is currently running.
Comment 2 Peter Wemm freebsd_committer freebsd_triage 2015-03-24 04:18:10 UTC
This suits me just fine too.
Comment 3 robbak 2015-03-24 11:14:45 UTC
Created attachment 154755 [details]
Build logs
Comment 4 robbak 2015-03-24 11:15:57 UTC
Created attachment 154756 [details]
Log of temporary port, -all, which just depends on the other three, showing they all install together
Comment 5 robbak 2015-03-24 11:16:39 UTC
Created attachment 154757 [details]
Build log of bitcoin-daemon
Comment 6 robbak 2015-03-24 11:17:05 UTC
Created attachment 154758 [details]
Build log of bitcoin-utils
Comment 7 commit-hook freebsd_committer 2015-05-03 16:58:30 UTC
A commit references this bug:

Author: jbeich
Date: Sun May  3 16:58:05 UTC 2015
New revision: 385291
URL: https://svnweb.freebsd.org/changeset/ports/385291

Log:
  net-p2p/bitcoin*: update to 0.10.1 and fix conflicts

  Work around bin/test_bitcoin installed more than once by leaving
  TESTS=on by default only in net-p2p/bitcoin-utils.

  Changes:	https://bitcoin.org/en/release/v0.10.1
  PR:		198826 [1]
  PR:		199856
  Reported by:	peter [1]
  Submitted by:	robbak@gmail.com (maintainer, other mail)

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/distinfo
  head/net-p2p/bitcoin-daemon/Makefile
Comment 8 Jan Beich freebsd_committer 2015-05-03 17:02:39 UTC
Thanks. Committed the version in bug 199856.